| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CNotifier< T, PayLoad > Class Template Reference
Basic

Notifier with automatic capsule creation. More...

`#include <notify.h>`

Inherits NotifierAccess.

## Public Member Functions
| CNotifier (T *cb)
void | trigger (PayLoad pl)
void | trigger (PayLoad pl, CallBacker *cb)
void | trigger (PayLoad pl, T &t)
Public Member Functions inherited from NotifierAccess
| NotifierAccess ()
| NotifierAccess (const NotifierAccess &)
virtual | ~NotifierAccess ()
void | disable ()
void | enable (bool yn=true)
bool | isEmpty () const
bool | isEnabled () const
bool | isShutdownSubscribed (const CallBacker *) const
| Only for debugging purposes, don't use.
void | notify (const CallBack &, bool first=false) const
bool | notifyIfNotNotified (const CallBack &) const
void | remove (const CallBack &) const
bool | removeWith (const CallBacker *, bool wait=true) const
void | setEmpty ()
void | transferCBSTo (const NotifierAccess &, const CallBacker *only_for, const CallBacker *not_for=0) const
bool | willCall (const CallBacker *) const

## Additional Inherited Members
Public Attributes inherited from NotifierAccess
CallBacker * | cber_
CallBackSet & | cbs_
Protected Member Functions inherited from NotifierAccess
void | addShutdownSubscription (const CallBacker *) const
bool | removeShutdownSubscription (const CallBacker *, bool wait) const
Static Protected Member Functions inherited from NotifierAccess
static void | doTrigger (CallBackSet &, const CallBacker *)
Protected Attributes inherited from NotifierAccess
Threads::Lock | shutdownsubscriberlock_
ObjectSet< const CallBacker > | shutdownsubscribers_

## Detailed Description

template<class T, class PayLoad>
class CNotifier< T, PayLoad >

Notifier with automatic capsule creation.

When non-callbacker data needs to be passed, you can put it in a capsule.

You'll need to define:

CNotifier<MyClass,const uiMouseEvent&> mousepress;
CNotifier
Notifier with automatic capsule creation.
Definition notify.h:176

<>

## Constructor & Destructor Documentation

## ◆ CNotifier()

template<class T , class PayLoad >

CNotifier< T, PayLoad >::CNotifier | ( | T * | cb | ) |
| inline

## Member Function Documentation

## ◆ trigger() [1/3]

template<class T , class PayLoad >

void CNotifier< T, PayLoad >::trigger | ( | PayLoad | pl | ) |
| inline

## ◆ trigger() [2/3]

template<class T , class PayLoad >

void CNotifier< T, PayLoad >::trigger | ( | PayLoad | pl,
|  | CallBacker * | cb )
| inline

## ◆ trigger() [3/3]

template<class T , class PayLoad >

void CNotifier< T, PayLoad >::trigger | ( | PayLoad | pl,
|  | T & | t )
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025